PDA

View Full Version : Yum seems obsessed with flash-plugin



jad
1st August 2007, 01:53 PM
Not a big deal, but this has been going on every morning for a while now, and is beginning to bug me.

Every morning, I start up my machine (FC6, running XFCE), and I get the new updates available message.

Every morning, flash-plugin - 9.0.48.0-a.i386 is listed...rpm -qa shows flash-plugin-9.0.48.0-a is installed. The details for the update say:
flash-plugin - 9.0.48.0-a.i386 updates flash-plugin - 9.0.48.0-a.i386

I've tried uninstalling flash-plugin, and then letting the update run, but it still pops up the next morning.

Letting the update run without uninstalling flash-plugin just gives me an 'Error updating software' - [('package flash-plugin-9.0.48.0-a is already installed', (2, None, 0L))]

Is there any way I can tell yum to ignore this particular update?

leigh123linux
1st August 2007, 02:16 PM
Yes


su
gedit /etc/yum.conf


then add this line

exclude=flash-plugin*

upollo
2nd August 2007, 12:14 PM
The problem may be due to incorrect permissions on the folder that the plugin is installed in which is preventing it from being installed.

Check that you have ownership and write permissions on the folder .